## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate nom

Name:           rust-nom5
Version:        5.1.3
Release:        %autorelease
Summary:        Byte-oriented, zero-copy, parser combinators library

License:        MIT
URL:            https://crates.io/crates/nom
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop benchmarks and examples not shipped with the crate
# * drop criterion (too old) and jemallocator (not packaged) dev-dependencies
Patch:          nom-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
A byte-oriented, zero-copy, parser combinators library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+lazy_static-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+lazy_static-devel %{_description}

This package contains library source intended for building other packages which
use the "lazy_static" feature of the "%{crate}" crate.

%files       -n %{name}+lazy_static-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+lexical-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+lexical-devel %{_description}

This package contains library source intended for building other packages which
use the "lexical" feature of the "%{crate}" crate.

%files       -n %{name}+lexical-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+lexical-core-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+lexical-core-devel %{_description}

This package contains library source intended for building other packages which
use the "lexical-core" feature of the "%{crate}" crate.

%files       -n %{name}+lexical-core-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+regex-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+regex-devel %{_description}

This package contains library source intended for building other packages which
use the "regex" feature of the "%{crate}" crate.

%files       -n %{name}+regex-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+regexp-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+regexp-devel %{_description}

This package contains library source intended for building other packages which
use the "regexp" feature of the "%{crate}" crate.

%files       -n %{name}+regexp-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+regexp_macros-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+regexp_macros-devel %{_description}

This package contains library source intended for building other packages which
use the "regexp_macros" feature of the "%{crate}" crate.

%files       -n %{name}+regexp_macros-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * skip test that relies on exact size of a struct that fails with recent Rust
%cargo_test -- -- --skip internal::tests::size_test
%endif

%changelog
* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu May 18 2023 Fabio Valentini <decathorpe@gmail.com> - 5.1.3-1
- Update to version 5.1.3

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.1.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.1.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.1.2-4
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jan 25 2021 Fabio Valentini <decathorpe@gmail.com> - 5.1.2-2
- Disable tests, they are broken on aarch64 anyway.

* Mon Jan 25 2021 Fabio Valentini <decathorpe@gmail.com> - 5.1.2-1
- Initial compat package for nom 5

